<?php

namespace App\Controller\Admin;

use App\Entity\Quotes;
use EasyCorp\Bundle\EasyAdminBundle\Controller\AbstractCrudController;
use EasyCorp\Bundle\EasyAdminBundle\Field\IdField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextEditorField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;

/**
 *
 */
class QuotesCrudController extends AbstractCrudController
{
    public static function getEntityFqcn(): string
    {
        return Quotes::class;
    }

    public function configureFields(string $pageName): iterable
    {
        return [
	        IdField::new(propertyName: 'id'),
	        TextField::new(propertyName: 'quote'),
        ];
    }
}
